import * as tsdoc from '@microsoft/tsdoc';
import { ReleaseTag } from '@microsoft/api-extractor-model';
import { VisitorState } from './VisitorState';
export declare class DeclarationMetadata {
    /**
     * This is the original TSDoc comment parsed from the source code.
     * It may be modified (or constructed artificially) by the DocCommentEnhancer.
     */
    tsdocComment: tsdoc.DocComment | undefined;
    /**
     * The ParserContext from when the TSDoc comment was parsed from the source code.
     * If the source code did not contain a doc comment, then this will be undefined.
     */
    tsdocParserContext: tsdoc.ParserContext | undefined;
    /**
     * This is the release tag that was explicitly specified in the original doc comment, if any.
     * Compare with SymbolMetadata.releaseTag, which is the effective release tag, possibly inherited from
     * a parent.
     */
    declaredReleaseTag: ReleaseTag;
    isEventProperty: boolean;
    isOverride: boolean;
    isSealed: boolean;
    isVirtual: boolean;
    isPreapproved: boolean;
    needsDocumentation: boolean;
    docCommentEnhancerVisitorState: VisitorState;
}
//# sourceMappingURL=DeclarationMetadata.d.ts.map